[ALL] Maven Magic & Javadoc 9

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[ALL] Maven Magic & Javadoc 9

garydgregory
Hi All:

Is it possible to tell Maven using the toolchains.xml to use Java >= 9 if
present to run Javadoc?

Starting with Java 9, Javadoc creates _searchable_ Javadoc's, the top right
of the page has a search box, quite handy.

If would be nice to add this to commons-parent.

Gary
Reply | Threaded
Open this post in threaded view
|

Re: [ALL] Maven Magic & Javadoc 9

Matt Sicker
This might work:
https://maven.apache.org/plugins/maven-javadoc-plugin/javadoc-mojo.html#jdkToolchain

Combine with profiles to activate by default when using jdk 9+.

On Tue, 26 Mar 2019 at 13:04, Gary Gregory <[hidden email]> wrote:

>
> Hi All:
>
> Is it possible to tell Maven using the toolchains.xml to use Java >= 9 if
> present to run Javadoc?
>
> Starting with Java 9, Javadoc creates _searchable_ Javadoc's, the top right
> of the page has a search box, quite handy.
>
> If would be nice to add this to commons-parent.
>
> Gary



--
Matt Sicker <[hidden email]>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]